Read Population - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET / v1 /populations /{populationTagId}
Read Population
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"analysisTypeId": "<string>",
"libraryId": "<string>",
"engagementId": "<string>",
"derivedFromLibrary": true,
"disabledForAnalysisIds": [
"<string>"
],
"promotedFromAnalysisId": "<string>",
"analysisId": "<string>",
"derivedFromEngagement": true,
"basePopulationId": "<string>",
"name": "<string>",
"category": "<string>",
"description": "<string>",
"clonedFrom": "<string>",
"reasonForChange": "<string>",
"disabled": true,
"condition": {
"type": "GROUP",
"conditions": [
{}
]
},
"legacyFilterFormat": true,
"displayCurrencyCode": "<string>",
"displayLocale": "<string>"
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
populationTagId
string
required
Response Fields
- id: The unique object identifier.
- version: Indicates the data integrity version to ensure data consistency.
- creationDate: The date that the object was originally created.
- lastModifiedDate: The date that the object was last updated or modified.
- createdUserInfo: Details about the user who created the object.
- lastModifiedUserInfo: Details about the user who last modified or updated the object.
- analysisTypeId:
- libraryId: The ID of the parent library.
- engagementId: The ID of the parent engagement.
- derivedFromLibrary: Indicates that the engagement population was derived from a library.
- disabledForAnalysisIds: Lists the analysis IDs where the engagement population is disabled.
- promotedFromAnalysisId: Identifies the analysis from which the engagement population was promoted.
- analysisId: The ID of the parent analysis.
- derivedFromEngagement: Indicates whether the analysis population was derived from an engagement.
- basePopulationId: The ID of the population the current population is based on.
- name: The name of the population.
- category: The category of the population.
- description: A description of the population.
- clonedFrom: Identifies the population the current population was cloned from.
- reasonForChange: The reason for the latest change made to the population.
- disabled:
- condition: The filter condition used to determine which entries are included in the population.
- legacyFilterFormat: If
true, this population uses a legacy filter format that cannot be represented in the current condition format. - displayCurrencyCode: The ISO 4217 three-digit currency code that determines how currency values are formatted. Defaults to
USDif not specified. - displayLocale: The ISO 639 locale identifier used to format display values. Defaults to
en-usif not specified.